
QGIS Application - Bug report #1608

Segmentation fault Fedora Core 10 rpm qgis-1.0.1-1.fc10.i386 exit code 139

2009-03-31 06:59 PM - alexlatex -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11668

Description

Hi,

I'm getting a Segmentation fault before I see anything happen, starting from the command line.

I get exit code 139.  In /var/log/messages I get:

segfault at 5c ip 004f60c4 sp bf84c540 error 4 in libQtGui.so.4.4.3[356000+8b4000]

rpm package is qgis-1.0.1-1.fc10.i386

Fedora core 10; I updated stuff, tried again, and got the same results.

I've got plenty of memory and disk space.

Thanks,

Alex

History

#1 - 2009-04-24 04:22 AM - Micha Silver

Replying to [comment:1 alexlatex]:

Alex:

I don't see any segfault problem with qgis on F10 (64 bit). Can you send more details?

#2 - 2009-04-24 04:43 AM - cnieman -

I get this in fedora 9 64-bit with qgis 1.0.1.  It's fine on my fedora 10 64-bit though.

segfault at b0 ip 00000034c822594c sp 00007fff2cedc8c0 error 4 in libQtGui.so.4.5.0[34c8000000+9aa000]

Also happened with 0.11 (I tried upgrading to 1.0.1 when it first happened).  I think it was related to qt-4.5.0-14.fc9.x86_64 getting installed on my system

the last time I updated it.

#3 - 2009-04-24 04:53 AM - cnieman -

It seems it also happens on my 32-bit fedora 9

segfault at 5c ip 021c7824 sp bfe9cea0 error 4 in libQtGui.so.4.5.0[2000000+9ba000]
#4 - 2009-04-24 05:12 AM - Paolo Cavallini

Please post the libraries version you have (especially qt), so we can see if this is related to a specific version.

#5 - 2009-04-24 05:28 AM - cnieman -

qt-4.5.0-14.fc9.x86_64 (and i386 on my 32-bit system) was installed on the day that QGIS started segmentation faulting.  There were no geo-packages

updated (gdal/ogr, etc).  I attached a list of everything that was in the update that lead to QGIS failing.  Let me know if other library versions would be

useful.

#6 - 2009-04-24 09:39 AM - Paolo Cavallini

See also #1653

#7 - 2009-04-24 09:59 AM - lookingforoil -

Replying to [comment:7 pcav]:

See also #1653

This ticket contains a gdb backtrace after receiving the same segmentation fault error in FC10.

#8 - 2009-04-27 07:37 PM - starsareblueandfaraway -

I can confirm that this error appears on both Fedora 10 32-bit and 64-bit and has been like this for at least a week now, ever since the last yum update.

Apr 27 22:33:10 localhost kernel: qgisr4835: segfault at 5c ip 00b798b4 sp bf9ac4d0 error 4 in libQtGui.so.4.5.0[9ca000+9a0000]

Apr 27 17:24:11 localhost kernel: qgisr17740: segfault at b0 ip 000000382442556c sp 00007ffff53d27a0 error 4 in

libQtGui.so.4.5.0[3824200000+9a7000]

#9 - 2009-04-27 08:28 PM - Gary Sherman

I don't think this is a QGIS problem. I suspect this is related to the upgrade to Qt 4.5 on Fedora. Others are using Qt 4.5 with QGIS on other platforms.

#10 - 2009-04-27 09:47 PM - Micha Silver

And on my F10 laptop (64 bit) qgis seems to be behaving well, with Qt 4.5....

#11 - 2009-06-10 11:13 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

It seems solved then. Please reopen it if appropriate.
Files

yum_log.txt 4.88 KB 2009-04-24 cnieman -
